> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Dedicated IP-adres autoriseren

> dedicated IP autoriseren

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/authorize:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: dedicated IP autoriseren
      description: Autoriseer een BYOH speciale IP.
      operationId: >-
        authorize_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__authorize_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DedicatedIpAuthorizeRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DedicatedIpAuthorizeRequest:
      description: Aanvraagbody voor het autoriseren van een BYOH dedicated IP.
      properties:
        reissue:
          default: false
          description: Forceer opnieuw uitgeven van setup key, zelfs als er al één bestaat
          title: Opnieuw uitgeven
          type: boolean
      title: DedicatedIpAuthorizeRequest
      type: object
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Autonoom systeemnummer voor de toewijzing
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: ISO-landcode voor de toewijzing
          title: Landcode
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Tijdstempel van creatie
          title: Aangemaakt op
        id:
          description: Speciale IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Openbare adressen in deze toewijzing
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP-adressen
          type: array
        name:
          description: Voor de klant zichtbare speciale IP-naam
          title: Naam
          type: string
        status:
          description: Inrichtings- of levenscyclusstatus
          title: Status
          type: string
        type:
          description: Speciaal toewijzingstype IP
          title: Type
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Tijdstempel laatste update
          title: Bijgewerkt op
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PublicDedicatedIpAddressResponse:
      description: Openbare speciale IP adresmetagegevens zonder reputatiesignalen.
      properties:
        fcrdns_confirmed:
          default: false
          description: Of voorwaarts bevestigde achteruit DNS is geslaagd
          title: Fcrdns bevestigd
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Huidige gezondheidsstatus, indien beschikbaar
          title: Gezond
        ip:
          description: Openbaar IP-adres
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Keer de hostnaam DNS om indien geconfigureerd
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````